# BarcodesExtensionFilter enum

A filter for extended EAN and UPC barcodes.

Inheritance
  - Object
  - Enum
  - BarcodesExtensionFilter

## Constructors

BarcodesExtensionFilter()
  const

## Values

NO_FILTER → const BarcodesExtensionFilter

  EAN and UPC codes are not filtered. Both are returned regardless if they have an extension or not. */

ONLY_WITH_EXTENSIONS → const BarcodesExtensionFilter

  Only EAN and UPC codes with extensions are returned. */

ONLY_WITHOUT_EXTENSIONS → const BarcodesExtensionFilter

  Only EAN and UPC codes without extensions are returned. */

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BarcodesExtensionFilter>
  A constant List of the values in this enum, in order of their declaration.
  `[NO_FILTER, ONLY_WITH_EXTENSIONS, ONLY_WITHOUT_EXTENSIONS]`